singleton Material(schoolbus_cab)
{
    mapTo = "schoolbus_cab";
    diffuseMap[2] = "vehicles/schoolbus/schoolbus_cab_c.dds";
    specularMap[2] = "vehicles/schoolbus/schoolbus_cab_s.dds";
    normalMap[2] = "vehicles/schoolbus/schoolbus_cab_n.dds";
    diffuseMap[1] = "vehicles/schoolbus/schoolbus_cab_d.dds";
    specularMap[1] = "vehicles/schoolbus/schoolbus_cab_s.dds";
    normalMap[1] = "vehicles/schoolbus/schoolbus_cab_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/schoolbus/schoolbus_cab_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(schoolbus_frame)
{
    mapTo = "schoolbus_frame";
    diffuseMap[1] = "vehicles/schoolbus/schoolbus_frame_d.dds";
    specularMap[1] = "vehicles/schoolbus/schoolbus_frame_s.dds";
    normalMap[1] = "vehicles/schoolbus/schoolbus_frame_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/schoolbus/schoolbus_frame_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(schoolbus_mixbody)
{
    mapTo = "schoolbus_mixbody";
    diffuseMap[2] = "vehicles/schoolbus/schoolbus_mixbody_c.dds";
    specularMap[2] = "vehicles/schoolbus/schoolbus_mixbody_s.dds";
    normalMap[2] = "vehicles/schoolbus/schoolbus_mixbody_n.dds";
    diffuseMap[1] = "vehicles/schoolbus/schoolbus_mixbody_d.dds";
    specularMap[1] = "vehicles/schoolbus/schoolbus_mixbody_s.dds";
    normalMap[1] = "vehicles/schoolbus/schoolbus_mixbody_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/schoolbus/schoolbus_mixbody_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(schoolbus_mixdrum)
{
    mapTo = "schoolbus_mixdrum";
    diffuseMap[2] = "vehicles/schoolbus/schoolbus_mixdrum_c.dds";
    specularMap[2] = "vehicles/schoolbus/schoolbus_mixdrum_s.dds";
    normalMap[2] = "vehicles/schoolbus/schoolbus_mixdrum_n.dds";
    diffuseMap[1] = "vehicles/schoolbus/schoolbus_mixdrum_d.dds";
    specularMap[1] = "vehicles/schoolbus/schoolbus_mixdrum_s.dds";
    normalMap[1] = "vehicles/schoolbus/schoolbus_mixdrum_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/schoolbus/schoolbus_mixdrum_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    //instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(schoolbus_engine)
{
    mapTo = "schoolbus_engine";
    diffuseMap[1] = "vehicles/schoolbus/schoolbus_engine_d.dds";
    specularMap[1] = "vehicles/schoolbus/schoolbus_engine_s.dds";
    normalMap[1] = "vehicles/schoolbus/schoolbus_engine_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/schoolbus/schoolbus_engine_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(schoolbus_mudflap)
{
    mapTo = "schoolbus_mudflap";
    diffuseMap[0] = "schoolbus_mudflap_d.dds";
    normalMap[0] = "schoolbus_mudflap_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    specularMap[0] = "schoolbus_mudflap_s.dds";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1.5 1.5 1.5 1";
};

singleton Material(schoolbus_glass)
{
    mapTo = "schoolbus_glass";
    reflectivityMap[0] = "vehicles/common/null2.dds";
    diffuseMap[0] = "vehicles/schoolbus/schoolbus_glass_d.dds";
    specularMap[0] = "vehicles/schoolbus/schoolbus_glass_s.dds";
    diffuseMap[1] = "vehicles/schoolbus/schoolbus_glass_da.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1"; //20.538 0.016 0.0 1
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(moonhawk_glass_white)
{
    mapTo = "moonhawk_glass_white";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/moonhawk/moonhawk_glass_d.dds";
    specularMap[0] = "vehicles/moonhawk/moonhawk_glass_s.dds";
    diffuseMap[1] = "vehicles/moonhawk/moonhawk_glass_da.dds";
    specularMap[1] = "vehicles/moonhawk/moonhawk_glass_s.dds";
    specularPower[0] = "8";
    pixelSpecular[0] = "8";
    specularPower[1] = "8";
    pixelSpecular[1] = "8";
    diffuseColor[0] = "0.8 0.8 0.8 2.0"; // 2.538 0.016 0.0 1"; 
    diffuseColor[1] = "0.8 0.8 0.8 2.0"; //"8.538 0.016 0.0 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(moonhawk_glass_red)
{
    mapTo = "moonhawk_glass_red";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/moonhawk/moonhawk_glass_d.dds";
    specularMap[0] = "vehicles/moonhawk/moonhawk_glass_s.dds";
    diffuseMap[1] = "vehicles/moonhawk/moonhawk_glass_da.dds";
    specularMap[1] = "vehicles/moonhawk/moonhawk_glass_s.dds";
    specularPower[0] = "8";
    pixelSpecular[0] = "8";
    specularPower[1] = "8";
    pixelSpecular[1] = "8";
    diffuseColor[0] = "1 0.0 0.0 2.0"; // 2.538 0.016 0.0 1"; 
    diffuseColor[1] = "1 0.0 0.0 2.0"; //"8.538 0.016 0.0 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(moonhawk_glass_amber)
{
    mapTo = "moonhawk_glass_amber";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/moonhawk/moonhawk_glass_d.dds";
    specularMap[0] = "vehicles/moonhawk/moonhawk_glass_s.dds";
    diffuseMap[1] = "vehicles/moonhawk/moonhawk_glass_da.dds";
    specularMap[1] = "vehicles/moonhawk/moonhawk_glass_s.dds";
    specularPower[0] = "8";
    pixelSpecular[0] = "8";
    specularPower[1] = "8";
    pixelSpecular[1] = "8";
    diffuseColor[0] = "1 0.27 0.0 2.0"; // 2.538 0.016 0.0 1"; 
    diffuseColor[1] = "1 0.27 0.0 2.0"; //"8.538 0.016 0.0 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(moonhawk_glass_int)
{
    mapTo = "moonhawk_glass_int";
    diffuseMap[0] = "vehicles/moonhawk/moonhawk_glass_d.dds";
    specularMap[0] = "vehicles/moonhawk/moonhawk_glass_s.dds";
    diffuseMap[1] = "vehicles/moonhawk/moonhawk_glass_da.dds";
    specularMap[1] = "vehicles/moonhawk/moonhawk_glass_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(moonhawk_glass_dmg)
{
    mapTo = "moonhawk_glass_dmg";
    diffuseMap[0] = "vehicles/moonhawk/moonhawk_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/moonhawk/moonhawk_glass_da.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(bus_glass_windshield)
{
    mapTo = "bus_glass_windshield";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    specularPower[0] = "0";
    pixelSpecular[0] = "0";
    specularPower[1] = "0";
    pixelSpecular[1] = "0";
    diffuseColor[0] = "0.2 0.2 0.2 0.0"; // 2.538 0.016 0.0 1"; 
    useAnisotropic[0] = "0";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(schoolbus_lights)
{
    mapTo = "schoolbus_lights";
    diffuseMap[1] = "vehicles/schoolbus/schoolbus_lights_d.dds";
    specularMap[1] = "vehicles/schoolbus/schoolbus_lights_s.dds";
    normalMap[1] = "vehicles/schoolbus/schoolbus_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/schoolbus/schoolbus_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    //dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(schoolbus_lights_on)
{
    mapTo = "schoolbus_lights_on";
    diffuseMap[2] = "vehicles/schoolbus/schoolbus_lights_g.dds";
    specularMap[2] = "vehicles/schoolbus/schoolbus_lights_s.dds";
    normalMap[2] = "vehicles/schoolbus/schoolbus_lights_n.dds";
    diffuseMap[1] = "vehicles/schoolbus/schoolbus_lights_d.dds";
    specularMap[1] = "vehicles/schoolbus/schoolbus_lights_s.dds";
    normalMap[1] = "vehicles/schoolbus/schoolbus_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/schoolbus/schoolbus_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(schoolbus_lights_on_intense)
{
    mapTo = "schoolbus_lights_on_intense";
    diffuseMap[2] = "vehicles/schoolbus/schoolbus_lights_g.dds";
    specularMap[2] = "vehicles/schoolbus/schoolbus_lights_s.dds";
    normalMap[2] = "vehicles/schoolbus/schoolbus_lights_n.dds";
    diffuseMap[1] = "vehicles/schoolbus/schoolbus_lights_d.dds";
    specularMap[1] = "vehicles/schoolbus/schoolbus_lights_s.dds";
    normalMap[1] = "vehicles/schoolbus/schoolbus_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/schoolbus/schoolbus_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.20";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(schoolbus_lights_dmg)
{
    mapTo = "schoolbus_lights_dmg";
    diffuseMap[1] = "vehicles/schoolbus/schoolbus_lights_dmg_d.dds";
    specularMap[1] = "vehicles/schoolbus/schoolbus_lights_dmg_s.dds";
    normalMap[1] = "vehicles/schoolbus/schoolbus_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/schoolbus/schoolbus_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(schoolbus_gauges)
{
    mapTo = "schoolbus_gauges";
    diffuseMap[1] = "vehicles/schoolbus/schoolbus_gauges_d.dds";
    specularMap[1] = "vehicles/schoolbus/schoolbus_gauges_s.dds";
    normalMap[1] = "vehicles/schoolbus/schoolbus_gauges_n.dds";
    diffuseMap[0] = "vehicles/schoolbus/schoolbus_gauges_d.dds";
    specularMap[0] = "vehicles/schoolbus/schoolbus_gauges_s.dds";
    normalMap[0] = "vehicles/schoolbus/schoolbus_gauges_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    glow[1] = "0";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 0.2";
};

singleton Material(schoolbus_gauges_on)
{
    mapTo = "schoolbus_gauges_on";
    diffuseMap[1] = "vehicles/schoolbus/schoolbus_gauges_d.dds";
    specularMap[1] = "vehicles/schoolbus/schoolbus_gauges_s.dds";
    normalMap[1] = "vehicles/schoolbus/schoolbus_gauges_n.dds";
    diffuseMap[0] = "vehicles/schoolbus/schoolbus_gauges_d.dds";
    specularMap[0] = "vehicles/schoolbus/schoolbus_gauges_s.dds";
    normalMap[0] = "vehicles/schoolbus/schoolbus_gauges_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    glow[1] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 0.2";
};



singleton Material(schoolbus_reverselight)
{
    mapTo = "schoolbus_reverselight";
};

singleton Material(schoolbus_signal_L)
{
    mapTo = "schoolbus_signal_L";
};

singleton Material(schoolbus_signal_R)
{
    mapTo = "schoolbus_signal_R";
};

singleton Material(schoolbus_lowbeam)
{
    mapTo = "schoolbus_lowbeam";
};

singleton Material(schoolbus_highbeam)
{
    mapTo = "schoolbus_highbeam";
};

singleton Material(schoolbus_taillight)
{
    mapTo = "schoolbus_taillight";
};

singleton Material(schoolbus_runninglight)
{
    mapTo = "schoolbus_runninglight";
};

singleton Material(van_signal_L)
{
    mapTo = "van_signal_L";
};

singleton Material(van_signal_R)
{
    mapTo = "van_signal_R";
};

singleton Material(van_taillight)
{
    mapTo = "van_taillight";
};

singleton Material(van_taillight_L)
{
    mapTo = "van_taillight_L";
};

singleton Material(van_taillight_R)
{
    mapTo = "van_taillight_R";
};

singleton Material(van_headlight)
{
    mapTo = "van_headlight";
};

singleton Material(van_chmsl)
{
    mapTo = "van_chmsl";
};

singleton Material(van_reverselight)
{
    mapTo = "van_reverselight";
};

singleton Material(van_runninglight)
{
    mapTo = "van_runninglight";
};

singleton Material(van_runningbrakelight)
{
    mapTo = "van_runningbrakelight";
};

singleton Material(schoolbus_sleeper)
{
    mapTo = "schoolbus_sleeper";
    diffuseMap[2] = "vehicles/schoolbus/schoolbus_sleeper_c.dds";
    specularMap[2] = "vehicles/schoolbus/schoolbus_sleeper_s.dds";
    normalMap[2] = "vehicles/schoolbus/schoolbus_sleeper_n.dds";
    diffuseMap[1] = "vehicles/schoolbus/schoolbus_sleeper_d.dds";
    specularMap[1] = "vehicles/schoolbus/schoolbus_sleeper_s.dds";
    normalMap[1] = "vehicles/schoolbus/schoolbus_sleeper_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/schoolbus/schoolbus_sleeper_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(schoolbus_engine)
{
   mapTo = "schoolbus_engine";
   diffuseColor[0] = "0.588 0.588 0.588 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(schoolbus_frame)
{
   mapTo = "schoolbus_frame";
   diffuseColor[0] = "0.588 0.588 0.588 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(schoolbus_bus_black)
{
   mapTo = "bus_black";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.04 0.04 0.04 1";
   diffuseColor[1] = "0.07 0.07 0.07 0.7";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(schoolbus_Bus_Undercarige)
{
   mapTo = "Bus_Undercarige";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(schoolbus_bus_window_seals)
{
   mapTo = "bus_window_seals";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(schoolbus_seats)
{
   mapTo = "seats";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "0.22 0.003 0.006 0.9";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(schoolbus_seat_post)
{
   mapTo = "seatpost";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "0.34 0.34 0.34 0.8";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(schoolbus_Screws)
{
   mapTo = "Screws";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(schoolbus_bus_yellow)
{
   mapTo = "bus_yellow";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "0.915 0.593 0.0 0.7";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(schoolbus_bus_white)
{
   mapTo = "bus_white";
      diffuseColor[0] = "1 1 1 1";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[1] = "1 1 1 0.7";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};



singleton Material(schoolbus_bus_amber)
{
   mapTo = "bus_amber";
   diffuseColor[0] = "0.80 0.179 0.0 1";
   specular[0] = "1 0.27 0.0 2.0";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(schoolbus_bus_amber_on)
{
   mapTo = "bus_amber_on";
    specular[0] = "0.5 0.5 0.5 1";
    specularPower[0] = "100";
    diffuseColor[0] = "1 0.27 0.0 3.0";
	glow[0] = "100";
    emissive[0] = "1";
};

singleton Material(schoolbus_bus_amber_int)
{
   mapTo = "bus_amber_int";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.04 0.04 0.04 1";
   diffuseColor[1] = "0.80 0.179 0.0 0.7";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(schoolbus_bus_amber_int_on)
{
   mapTo = "bus_amber_int_on";
   diffuseColor[0] = "2.80 0.179 0.0 1";
   specular[0] = "1 0.27 0.0 2.0";
   specularPower[0] = "50";
	glow[0] = "0";
    emissive[0] = "1";
};

singleton Material(schoolbus_bus_amber_signal_R)
{
   mapTo = "bus_amber_signal_R";
   diffuseColor[0] = "0.80 0.179 0.0 1";
   specular[0] = "1 0.27 0.0 2.0";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(schoolbus_bus_amber_signal_R_on)
{
   mapTo = "bus_amber_signal_R_on";
    specular[0] = "0.5 0.5 0.5 1";
    specularPower[0] = "100";
    diffuseColor[0] = "1 0.27 0.0 3.0";
	glow[0] = "1";
    emissive[0] = "1";
};

singleton Material(schoolbus_bus_amber_signal_L)
{
   mapTo = "bus_amber_signal_L";
   diffuseColor[0] = "0.80 0.179 0.0 1";
   specular[0] = "1 0.27 0.0 2.0";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(schoolbus_bus_amber_signal_L_on)
{
   mapTo = "bus_amber_signal_L_on";
    specular[0] = "0.5 0.5 0.5 1";
    specularPower[0] = "100";
    diffuseColor[0] = "1 0.27 0.0 3.0";
	glow[0] = "1";
    emissive[0] = "1";
};


singleton Material(schoolbus_white)
{
   mapTo = "bus_plate_white";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   specular[0] = "0.8 0.8 0.8 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(schoolbus_white_on)
{
   mapTo = "bus_plate_white_on";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   specular[0] = "0.8 0.8 0.8 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   glow[0] = "1";
   emissive[0] = "1";
};

singleton Material(schoolbus_bus_frame)
{
   mapTo = "bus_frame";
   diffuseColor[0] = "0.22 0.22 0.22 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(schoolbus_bus_red)
{
     mapTo = "bus_red";
    specular[0] = "0.5 0.5 0.5 1";
    specularPower[0] = "100";
    diffuseColor[0] = "0.7 0.0 0.0 1"; 
};

singleton Material(schoolbus_bus_red_on)
{
    mapTo = "bus_red_on";
    specularPower[0] = "50";
    diffuseColor[0] = "1.538 0.0 0.0 1"; 
	specularPower[0] = "50";
	glow[0] = "0";
    emissive[0] = "1";
};

singleton Material(schoolbus_bus_red_front_hazard)
{
     mapTo = "bus_red_front_hazard";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.04 0.04 0.04 1";
   diffuseColor[1] = "0.538 0.0 0.0 0.7";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(schoolbus_bus_red_front_hazard_on)
{
     mapTo = "bus_red_front_hazard_on";
   diffuseColor[0] = "1.538 0.0 0.0 0.7";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
    dynamicCubemap = false; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
	glow[0] = "1";
    emissive[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(schoolbus_bus_red_int)
{
    mapTo = "bus_red_int";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.04 0.04 0.04 1";
   diffuseColor[1] = "0.538 0.0 0.0 0.7";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(schoolbus_bus_on2)
{
    mapTo = "bus_red_on2";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.04 0.04 0.04 1";
   diffuseColor[1] = "0.538 0.0 0.0 0.7";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(schoolbus_bus_red_int_on)
{
    mapTo = "bus_red_int_on";
    specularPower[0] = "50";
    diffuseColor[0] = "1.538 0.0 0.0 1"; 
	specularPower[0] = "50";
	glow[0] = "0";
    emissive[0] = "1";
};

singleton Material(schoolbus_bus_red_on_intense)
{
    mapTo = "bus_red_on_intense";
    specularPower[0] = "50";
    diffuseColor[0] = "1.538 0.0 0.0 1"; 
	specularPower[0] = "50";
	glow[0] = "1";
    emissive[0] = "1";
};

singleton Material(schoolbus_mirror)
{
   mapTo = "mirror";
   diffuseColor[0] = "0.39 0.43 0.49 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
};

singleton Material(schoolbus_bus_interior)
{
   mapTo = "bus_interior";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.04 0.04 0.04 .07";
   diffuseColor[1] = "0.57 0.57 0.57 0.9";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";

};

singleton Material(bus_mud_flap)
{
     mapTo = "mud_flap";
    specular[0] = "0.5 0.5 0.5 1";
    specularPower[0] = "100";
    diffuseColor[0] = "0.25 0.25 0.25 1"; 
};

singleton Material(bus_window_seals)
{
     mapTo = "window_seals";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "0.65 0.65 0.65 0.7";
   specularPower[0] = "0";
   specularPower[1] = "0";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
    dynamicCubemap = false; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; 
};

singleton Material(bus_letter_black)
{
     mapTo = "letter_black";
  
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "0.04 0.04 0.04 1";
   diffuseColor[1] = "0.07 0.07 0.07 0.7";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(roadsigns_01)
{
    mapTo = "roadsigns_01";
    diffuseMap[0] = "stop_sign_d.dds";
    specularMap[0] = "stop_sign.dds";
    normalMap[0] = "stop_sign_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "object";
};

singleton Material(bus_lic_plate)
{
    mapTo = "lic_plate";
    diffuseMap[0] = "lic_plate.png";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "object";
};

singleton Material(schoolbus_satin_black)
{
   mapTo = "satin_black";
   diffuseColor[0] = "0.07 0.07 0.07 0.7";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
    dynamicCubemap = false; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};




